
#    MIDAS Access Server  for  Hello service

global env
source [file join $env(MIDASBASE) TclHttpd tcl MIDASDomainHandler.tcl]       ;#  load default support procedures

source [file join $env(MIDASBASE) packages Hello1.0 pkgIndex.tcl]
package require Hello

global MIDAS_HelloServer_Verbose
set MIDAS_HelloServer_Verbose 1

# Use namespaces to isolate our methods
namespace eval urn:HelloServer {

    proc HelloCmd {p} {
        global MIDAS_HelloServer_Verbose
        if {$MIDAS_HelloServer_Verbose} {puts "called method HelloCmd with parameter $p"}
        set rc [Hello $p]
        return [rpcvar::rpcvar string "0 $rc"]
    }

    # We have to publish the public methods...

     SOAP::export HelloCmd
}

# register this service with tclhttpd
puts [SOAP::Domain::register  -prefix  /HelloServer -namespace urn:HelloServer -uri urn:HelloServer]


proc ::SOAP::Domain::MIDAS_SOAPDomainHandler_/HelloServer {optsname sock args} {   \
    ::SOAP::Domain::MIDAS_SOAPDomainHandler_/DefaultAccessServer $optsname $sock $args}
